public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/prefix:master commit in: sys-apps/sed/
@ 2018-08-19  8:14 Fabian Groffen
  0 siblings, 0 replies; 6+ messages in thread
From: Fabian Groffen @ 2018-08-19  8:14 UTC (permalink / raw
  To: gentoo-commits

commit:     2be1e30cc098e6eefc548a9f0cc1a83c23e2abd4
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 19 08:13:39 2018 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Aug 19 08:13:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=2be1e30c

sys-apps/sed: sync

Package-Manager: Portage-2.3.40.3-prefix, Repoman-2.3.9

 sys-apps/sed/Manifest            |  3 +-
 sys-apps/sed/metadata.xml        |  7 ++++
 sys-apps/sed/sed-4.2.1-r1.ebuild | 70 ---------------------------------------
 sys-apps/sed/sed-4.2.1.ebuild    | 69 --------------------------------------
 sys-apps/sed/sed-4.2.ebuild      | 67 -------------------------------------
 sys-apps/sed/sed-4.5.ebuild      | 71 ++++++++++++++++++++++++++++++++++++++++
 6 files changed, 79 insertions(+), 208 deletions(-)

diff --git a/sys-apps/sed/Manifest b/sys-apps/sed/Manifest
index 1b425b1f68..ec23d184ad 100644
--- a/sys-apps/sed/Manifest
+++ b/sys-apps/sed/Manifest
@@ -1,3 +1,2 @@
-DIST sed-4.2.1.tar.bz2 899091 BLAKE2B 9aefcc576fdf5b342f056540ffe510a8aae160a203960eb55066fcf6965835b9a3f1bcfa0d023104ee5be61dfcdf5946f05560cdc5a43c10eca131c2ec5ec42b SHA512 273d4d0b3dd41a3966260fbe261a20110a2a4c0749e11a080f4fc8694e47b605cb977f2535b20b92d57b1b74129df092ba47f4184951dbc3f0f14fd9b91b7bfd
 DIST sed-4.2.2.tar.bz2 1059414 BLAKE2B aebe0bf90e9f9c7907e0baa8a4d1a16e59a5893198382fb9fe08ed66cab670921c0db1e07f668bf3db8dfe9bb4f0e68b9c34fd7228c70df24be043d3e7ea8d92 SHA512 dbbb0bb348fac54612d29182c09c88bda7096dea03bd94f03c580c24146e65a06db12808c6a1a9adc94548fa3843511e3e80b251cb07142110cf149eab23f573
-DIST sed-4.2.tar.bz2 882586 BLAKE2B 40cdeb0a3fb2b5f1e29146f18f262e09ab3fcd86bdfaed0de765ce9c62ee2e948d7383abbc972e02ca6ec1a88da7c0176d4305576d08e77ecef1df73c189c65e SHA512 81bccd2664572dee0c9129fd5fda0761341dfb03e5252506b0369d8e91c242029693ccb67858943b9b469d399bceb4833f53ac7cca1b610a42f164d84f2339f9
+DIST sed-4.5.tar.xz 1274252 BLAKE2B 08525659e0e01ec50e736c1665634f3816f57c48aeefa7f6bc7a152cd6c171bb4e96e5c215429fc5edbe6e1de6cc3efe4f2f3bf6865933a30dd1700e921d5b3f SHA512 f95fb27e03b2301dae63878413b4c48e40341cc676945a612e1d0bd911da3192858ae142791292a99fbdaacbc7dab2d6fccb50787c06846f99b0b3740b40c196

diff --git a/sys-apps/sed/metadata.xml b/sys-apps/sed/metadata.xml
index b738f8c54a..504b6a5e46 100644
--- a/sys-apps/sed/metadata.xml
+++ b/sys-apps/sed/metadata.xml
@@ -8,4 +8,11 @@
 <upstream>
 	<remote-id type="sourceforge">sed</remote-id>
 </upstream>
+<use>
+	<flag name="forced-sandbox">
+		Always enable --sandbox mode for simpler/secure runtime (disables e/r/w commands).
+		Note: This may break many configure scripts, so it should be avoided on dev systems
+		(and generally used on binpkg/final systems only).
+	</flag>
+</use>
 </pkgmetadata>

diff --git a/sys-apps/sed/sed-4.2.1-r1.ebuild b/sys-apps/sed/sed-4.2.1-r1.ebuild
deleted file mode 100644
index 50721f6227..0000000000
--- a/sys-apps/sed/sed-4.2.1-r1.ebuild
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/sed/sed-4.2.1-r1.ebuild,v 1.14 2014/02/08 13:24:00 vapier Exp $
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DESCRIPTION="Super-useful stream editor"
-HOMEPAGE="http://sed.sourceforge.net/"
-SRC_URI="mirror://gnu/sed/${P}.tar.bz2"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="acl nls selinux static"
-
-RDEPEND="acl? ( virtual/acl )
-	nls? ( virtual/libintl )"
-DEPEND="${RDEPEND}
-	nls? ( sys-devel/gettext )"
-
-src_bootstrap_sed() {
-	# make sure system-sed works #40786
-	export NO_SYS_SED=""
-	if ! type -p sed > /dev/null ; then
-		NO_SYS_SED="!!!"
-		./bootstrap.sh || die "couldnt bootstrap"
-		cp sed/sed "${T}"/ || die "couldnt copy"
-		export PATH="${PATH}:${T}"
-		make clean || die "couldnt clean"
-	fi
-}
-
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-	epatch "${FILESDIR}"/${PN}-4.1.5-alloca.patch
-	epatch "${FILESDIR}"/${P}-handle-incomplete-sequences-as-if-they-were-invalid.patch #284403
-	epatch "${FILESDIR}"/${PN}-4.1.4-aix-malloc.patch
-	epatch "${FILESDIR}"/${P}-espipe.patch
-	# don't use sed here if we have to recover a broken host sed
-}
-
-src_compile() {
-	src_bootstrap_sed
-	# this has to be after the bootstrap portion
-	sed -i \
-		-e '/docdir =/s:=.*/doc:= $(datadir)/doc/'${PF}'/html:' \
-		doc/Makefile.in || die "sed html doc"
-
-	local myconf= bindir="${EPREFIX}"/bin
-	if ! use userland_GNU ; then
-		myconf="--program-prefix=g"
-		bindir="${EPREFIX}"/usr/bin
-	fi
-
-	export ac_cv_search_setfilecon=$(usex selinux -lselinux)
-	export ac_cv_header_selinux_{context,selinux}_h=$(usex selinux)
-	use static && append-ldflags -static
-	econf \
-		--bindir="${bindir}" \
-		$(use_enable acl) \
-		$(use_enable nls) \
-		${myconf}
-	emake || die "build failed"
-}
-
-src_install() {
-	emake install DESTDIR="${D}" || die "Install failed"
-	dodoc NEWS README* THANKS AUTHORS BUGS ChangeLog
-}

diff --git a/sys-apps/sed/sed-4.2.1.ebuild b/sys-apps/sed/sed-4.2.1.ebuild
deleted file mode 100644
index 50425efcf6..0000000000
--- a/sys-apps/sed/sed-4.2.1.ebuild
+++ /dev/null
@@ -1,69 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/sed/sed-4.2.1.ebuild,v 1.12 2014/02/08 13:24:00 vapier Exp $
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DESCRIPTION="Super-useful stream editor"
-HOMEPAGE="http://sed.sourceforge.net/"
-SRC_URI="mirror://gnu/sed/${P}.tar.bz2"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="acl nls selinux static"
-
-RDEPEND="nls? ( virtual/libintl )
-	acl? ( virtual/acl )"
-DEPEND="${RDEPEND}
-	nls? ( sys-devel/gettext )"
-
-src_bootstrap_sed() {
-	# make sure system-sed works #40786
-	export NO_SYS_SED=""
-	if ! type -p sed > /dev/null ; then
-		NO_SYS_SED="!!!"
-		./bootstrap.sh || die "couldnt bootstrap"
-		cp sed/sed "${T}"/ || die "couldnt copy"
-		export PATH="${PATH}:${T}"
-		make clean || die "couldnt clean"
-	fi
-}
-
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-	epatch "${FILESDIR}"/${PN}-4.1.5-alloca.patch
-	epatch "${FILESDIR}"/${PN}-4.1.4-aix-malloc.patch
-	epatch "${FILESDIR}"/${PN}-4.1.5-regex-nobool.patch
-	# don't use sed here if we have to recover a broken host sed
-}
-
-src_compile() {
-	src_bootstrap_sed
-	# this has to be after the bootstrap portion
-	sed -i \
-		-e '/docdir =/s:=.*/doc:= $(datadir)/doc/'${PF}'/html:' \
-		doc/Makefile.in || die "sed html doc"
-
-	local myconf= bindir="${EPREFIX}"/bin
-	if ! use userland_GNU ; then
-		myconf="--program-prefix=g"
-		bindir="${EPREFIX}"/usr/bin
-	fi
-
-	export ac_cv_search_setfilecon=$(usex selinux -lselinux)
-	export ac_cv_header_selinux_{context,selinux}_h=$(usex selinux)
-	use static && append-ldflags -static
-	econf \
-		--bindir="${bindir}" \
-		$(use_enable acl) \
-		$(use_enable nls) \
-		${myconf}
-	emake || die "build failed"
-}
-
-src_install() {
-	emake install DESTDIR="${D}" || die "Install failed"
-	dodoc NEWS README* THANKS AUTHORS BUGS ChangeLog
-}

diff --git a/sys-apps/sed/sed-4.2.ebuild b/sys-apps/sed/sed-4.2.ebuild
deleted file mode 100644
index 483cb979bd..0000000000
--- a/sys-apps/sed/sed-4.2.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/sed/sed-4.2.ebuild,v 1.13 2014/02/08 13:24:00 vapier Exp $
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DESCRIPTION="Super-useful stream editor"
-HOMEPAGE="http://sed.sourceforge.net/"
-SRC_URI="mirror://gnu/sed/${P}.tar.bz2"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="acl nls static"
-
-RDEPEND="nls? ( virtual/libintl )
-	acl? ( virtual/acl )"
-DEPEND="${RDEPEND}
-	nls? ( sys-devel/gettext )"
-
-src_bootstrap_sed() {
-	# make sure system-sed works #40786
-	export NO_SYS_SED=""
-	if ! type -p sed > /dev/null ; then
-		NO_SYS_SED="!!!"
-		./bootstrap.sh || die "couldnt bootstrap"
-		cp sed/sed "${T}"/ || die "couldnt copy"
-		export PATH="${PATH}:${T}"
-		make clean || die "couldnt clean"
-	fi
-}
-
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-	epatch "${FILESDIR}"/${PN}-4.1.5-alloca.patch
-	epatch "${FILESDIR}"/${PN}-4.1.4-aix-malloc.patch
-	epatch "${FILESDIR}"/${PN}-4.1.5-regex-nobool.patch
-	# don't use sed here if we have to recover a broken host sed
-}
-
-src_compile() {
-	src_bootstrap_sed
-	# this has to be after the bootstrap portion
-	sed -i \
-		-e '/docdir =/s:=.*/doc:= $(datadir)/doc/'${PF}'/html:' \
-		doc/Makefile.in || die "sed html doc"
-
-	local myconf= bindir="${EPREFIX}"/bin
-	if ! use userland_GNU ; then
-		myconf="--program-prefix=g"
-		bindir="${EPREFIX}"/usr/bin
-	fi
-
-	use static && append-ldflags -static
-	econf \
-		--bindir="${bindir}" \
-		$(use_enable acl) \
-		$(use_enable nls) \
-		${myconf}
-	emake || die "build failed"
-}
-
-src_install() {
-	emake install DESTDIR="${D}" || die "Install failed"
-	dodoc NEWS README* THANKS AUTHORS BUGS ChangeLog
-}

diff --git a/sys-apps/sed/sed-4.5.ebuild b/sys-apps/sed/sed-4.5.ebuild
new file mode 100644
index 0000000000..a1cd293024
--- /dev/null
+++ b/sys-apps/sed/sed-4.5.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Super-useful stream editor"
+HOMEPAGE="http://sed.sourceforge.net/"
+SRC_URI="mirror://gnu/sed/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="acl forced-sandbox nls selinux static"
+
+RDEPEND="acl? ( virtual/acl )
+	nls? ( virtual/libintl )
+	selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+	nls? ( sys-devel/gettext )"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.1.4-aix-malloc.patch
+	"${FILESDIR}"/${PN}-4.2.1-espipe.patch
+)
+
+src_bootstrap_sed() {
+	# make sure system-sed works #40786 #650052
+	if ! type -p sed > /dev/null || has_version 'sys-apps/sed[forced-sandbox]' ; then
+		mkdir -p "${T}/bootstrap"
+		printf '#!/bin/sh\nexec busybox sed "$@"\n' > "${T}/bootstrap/sed" || die
+		chmod a+rx "${T}/bootstrap/sed"
+		PATH="${T}/bootstrap:${PATH}"
+	fi
+}
+
+src_prepare() {
+	# Don't use sed before bootstrap if we have to recover a broken host sed.
+	src_bootstrap_sed
+
+	default
+
+	if use forced-sandbox ; then
+		# Upstream doesn't want to add a configure flag for this.
+		# https://lists.gnu.org/archive/html/bug-sed/2018-03/msg00001.html
+		sed -i \
+			-e '/^bool sandbox = false;/s:false:true:' \
+			sed/sed.c || die
+		# Make sure the sed took.
+		grep -q '^bool sandbox = true;' sed/sed.c || die "forcing sandbox failed"
+	fi
+}
+
+src_configure() {
+	local myconf=()
+	if use userland_GNU; then
+		myconf+=( --exec-prefix="${EPREFIX}" )
+	else
+		myconf+=( --program-prefix=g )
+	fi
+
+	export ac_cv_search_setfilecon=$(usex selinux -lselinux)
+	export ac_cv_header_selinux_{context,selinux}_h=$(usex selinux)
+	use static && append-ldflags -static
+	myconf+=(
+		$(use_enable acl)
+		$(use_enable nls)
+	)
+	econf "${myconf[@]}"
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/prefix:master commit in: sys-apps/sed/
@ 2018-11-20  9:17 Fabian Groffen
  0 siblings, 0 replies; 6+ messages in thread
From: Fabian Groffen @ 2018-11-20  9:17 UTC (permalink / raw
  To: gentoo-commits

commit:     72f9bcd5979e3869528111763a443f15337562d4
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 20 09:17:30 2018 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Tue Nov 20 09:17:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=72f9bcd5

sys-apps/sed: drop installing charset.alias

Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>
Package-Manager: Portage-2.3.40.3-prefix, Repoman-2.3.9

 sys-apps/sed/sed-4.5.ebuild | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/sys-apps/sed/sed-4.5.ebuild b/sys-apps/sed/sed-4.5.ebuild
index a1cd293024..593258ac36 100644
--- a/sys-apps/sed/sed-4.5.ebuild
+++ b/sys-apps/sed/sed-4.5.ebuild
@@ -69,3 +69,9 @@ src_configure() {
 	)
 	econf "${myconf[@]}"
 }
+
+src_install() {
+	default
+	# don't want charset.alias, installed by libiconv
+	rm -f "${ED}"/lib/charset.alias
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/prefix:master commit in: sys-apps/sed/
@ 2020-12-07 23:04 Sam James
  0 siblings, 0 replies; 6+ messages in thread
From: Sam James @ 2020-12-07 23:04 UTC (permalink / raw
  To: gentoo-commits

commit:     f7040945e140b89d3f65b3b6ac6224506d6abe4a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  7 22:48:54 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Dec  7 22:48:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=f7040945

sys-apps/sed: sync with ::gentoo (bump to 4.8)

Package-Manager: Portage-3.0.12-prefix, Repoman-3.0.2
RepoMan-Options: --force
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/sed/Manifest       |  1 +
 sys-apps/sed/sed-4.8.ebuild | 82 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/sys-apps/sed/Manifest b/sys-apps/sed/Manifest
index ec23d184ad..d3aa8dd8fe 100644
--- a/sys-apps/sed/Manifest
+++ b/sys-apps/sed/Manifest
@@ -1,2 +1,3 @@
 DIST sed-4.2.2.tar.bz2 1059414 BLAKE2B aebe0bf90e9f9c7907e0baa8a4d1a16e59a5893198382fb9fe08ed66cab670921c0db1e07f668bf3db8dfe9bb4f0e68b9c34fd7228c70df24be043d3e7ea8d92 SHA512 dbbb0bb348fac54612d29182c09c88bda7096dea03bd94f03c580c24146e65a06db12808c6a1a9adc94548fa3843511e3e80b251cb07142110cf149eab23f573
 DIST sed-4.5.tar.xz 1274252 BLAKE2B 08525659e0e01ec50e736c1665634f3816f57c48aeefa7f6bc7a152cd6c171bb4e96e5c215429fc5edbe6e1de6cc3efe4f2f3bf6865933a30dd1700e921d5b3f SHA512 f95fb27e03b2301dae63878413b4c48e40341cc676945a612e1d0bd911da3192858ae142791292a99fbdaacbc7dab2d6fccb50787c06846f99b0b3740b40c196
+DIST sed-4.8.tar.xz 1348048 BLAKE2B 62f6b6500cc9a20a35cafc2b09b12bb7da67fa0afb0b1b26153babc0023424b3126f44d29eba14c25fc4490996c90738b191c9440c66da6c120bbb9bc6f6df65 SHA512 7de25d9bc2981c63321c2223f3fbcab61d7b0df4fcf7d4394b72400b91993e1288d8bf53948ed5fffcf5a98c75265726a68ad4fb98e1d571bf768603a108c1c8

diff --git a/sys-apps/sed/sed-4.8.ebuild b/sys-apps/sed/sed-4.8.ebuild
new file mode 100644
index 0000000000..d889186d10
--- /dev/null
+++ b/sys-apps/sed/sed-4.8.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Super-useful stream editor"
+HOMEPAGE="http://sed.sourceforge.net/"
+SRC_URI="mirror://gnu/sed/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="acl forced-sandbox nls selinux static"
+
+RDEPEND="
+	!static? (
+		acl? ( virtual/acl )
+		nls? ( virtual/libintl )
+		selinux? ( sys-libs/libselinux )
+	)
+"
+DEPEND="${RDEPEND}
+	static? (
+		acl? ( virtual/acl[static-libs(+)] )
+		nls? ( virtual/libintl[static-libs(+)] )
+		selinux? ( sys-libs/libselinux[static-libs(+)] )
+	)
+"
+BDEPEND="nls? ( sys-devel/gettext )"
+
+
+src_bootstrap_sed() {
+	# make sure system-sed works #40786 #650052
+	if ! type -p sed > /dev/null || has_version 'sys-apps/sed[forced-sandbox]' ; then
+		mkdir -p "${T}/bootstrap"
+		printf '#!/bin/sh\nexec busybox sed "$@"\n' > "${T}/bootstrap/sed" || die
+		chmod a+rx "${T}/bootstrap/sed"
+		PATH="${T}/bootstrap:${PATH}"
+	fi
+}
+
+src_prepare() {
+	# Don't use sed before bootstrap if we have to recover a broken host sed.
+	src_bootstrap_sed
+
+	default
+
+	if use forced-sandbox ; then
+		# Upstream doesn't want to add a configure flag for this.
+		# https://lists.gnu.org/archive/html/bug-sed/2018-03/msg00001.html
+		sed -i \
+			-e '/^bool sandbox = false;/s:false:true:' \
+			sed/sed.c || die
+		# Make sure the sed took.
+		grep -q '^bool sandbox = true;' sed/sed.c || die "forcing sandbox failed"
+	fi
+}
+
+src_configure() {
+	local myconf=()
+	if use userland_GNU; then
+		myconf+=( --exec-prefix="${EPREFIX}" )
+	else
+		myconf+=( --program-prefix=g )
+	fi
+
+	use static && append-ldflags -static
+	myconf+=(
+		$(use_enable acl)
+		$(use_enable nls)
+		$(use_with selinux)
+	)
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	default
+	# don't want charset.alias, installed by libiconv
+	rm -f "${ED}"/lib/charset.alias
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/prefix:master commit in: sys-apps/sed/
@ 2020-12-27 11:07 Fabian Groffen
  0 siblings, 0 replies; 6+ messages in thread
From: Fabian Groffen @ 2020-12-27 11:07 UTC (permalink / raw
  To: gentoo-commits

commit:     5d688b84177205d3cd82e12a2ecab227d57a78f5
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 27 11:06:26 2020 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Dec 27 11:06:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=5d688b84

sys-apps/sed: drop ~m68k-mint

Package-Manager: Portage-3.0.12-prefix, Repoman-3.0.2
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 sys-apps/sed/sed-4.8.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sys-apps/sed/sed-4.8.ebuild b/sys-apps/sed/sed-4.8.ebuild
index bb43fd5b3e..cf0e86a0c4 100644
--- a/sys-apps/sed/sed-4.8.ebuild
+++ b/sys-apps/sed/sed-4.8.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://gnu/sed/${P}.tar.xz"
 
 LICENSE="GPL-3"
 SLOT="0"
-KEYWORDS="~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
 IUSE="acl forced-sandbox nls selinux static"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/prefix:master commit in: sys-apps/sed/
@ 2021-01-24 12:18 Fabian Groffen
  0 siblings, 0 replies; 6+ messages in thread
From: Fabian Groffen @ 2021-01-24 12:18 UTC (permalink / raw
  To: gentoo-commits

commit:     7a1d7362e30b2a8e1e4b7ed2181fbd41b35ba8bd
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 24 12:18:21 2021 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 12:18:21 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=7a1d7362

sys-apps/sed: drop ~x86-macos

Package-Manager: Portage-3.0.14-prefix, Repoman-3.0.2
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 sys-apps/sed/sed-4.8.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sys-apps/sed/sed-4.8.ebuild b/sys-apps/sed/sed-4.8.ebuild
index cf0e86a0c4..dbdacab155 100644
--- a/sys-apps/sed/sed-4.8.ebuild
+++ b/sys-apps/sed/sed-4.8.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="mirror://gnu/sed/${P}.tar.xz"
 
 LICENSE="GPL-3"
 SLOT="0"
-KEYWORDS="~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
 IUSE="acl forced-sandbox nls selinux static"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/proj/prefix:master commit in: sys-apps/sed/
@ 2023-05-24  7:48 Fabian Groffen
  0 siblings, 0 replies; 6+ messages in thread
From: Fabian Groffen @ 2023-05-24  7:48 UTC (permalink / raw
  To: gentoo-commits

commit:     56ff3efd96aeef2411bc5e08bee46e8d555c46de
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Wed May 24 07:47:39 2023 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Wed May 24 07:47:39 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=56ff3efd

sys-apps/sed-4.9: sync from gx86

Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 sys-apps/sed/Manifest       |  2 ++
 sys-apps/sed/sed-4.9.ebuild | 65 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/sys-apps/sed/Manifest b/sys-apps/sed/Manifest
index 526fe0062a..adc5a58b94 100644
--- a/sys-apps/sed/Manifest
+++ b/sys-apps/sed/Manifest
@@ -1 +1,3 @@
 DIST sed-4.8.tar.xz 1348048 BLAKE2B 62f6b6500cc9a20a35cafc2b09b12bb7da67fa0afb0b1b26153babc0023424b3126f44d29eba14c25fc4490996c90738b191c9440c66da6c120bbb9bc6f6df65 SHA512 7de25d9bc2981c63321c2223f3fbcab61d7b0df4fcf7d4394b72400b91993e1288d8bf53948ed5fffcf5a98c75265726a68ad4fb98e1d571bf768603a108c1c8
+DIST sed-4.9.tar.xz 1397092 BLAKE2B 6c7c7dc782b87c3bd0b5e826ba46c2f1dc7bd8c1159945fcf14b394711742964628774cf9f27d844b672721d7849e6c31992d82fafb9ed4118b7feb60406d1e1 SHA512 36157a4b4a2430cf421b7bd07f1675d680d9f1616be96cf6ad6ee74a9ec0fe695f8d0b1e1f0b008bbb33cc7fcde5e1c456359bbbc63f8aebdd4fedc3982cf6dc
+DIST sed-4.9.tar.xz.sig 833 BLAKE2B 256bb112aa3aec1a8d40544ef1b0a7570f35d66369047ed3d261c57f938042dcb4a169137eaed6639bcfb472e4a6fc6ebec2de243b2c4d4c0ba0e9081f92556d SHA512 ceb235850184b99017783486e182ade9db38313d20b2b34d23f54d8affe180f7a191139b993e8ec7718ca33eff732f547ca4b3b59aaf865feaae611dfeae5c46

diff --git a/sys-apps/sed/sed-4.9.ebuild b/sys-apps/sed/sed-4.9.ebuild
new file mode 100644
index 0000000000..6f28bc70a8
--- /dev/null
+++ b/sys-apps/sed/sed-4.9.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/sed.asc
+inherit flag-o-matic verify-sig
+
+DESCRIPTION="Super-useful stream editor"
+HOMEPAGE="https://www.gnu.org/software/sed/"
+SRC_URI="mirror://gnu/sed/${P}.tar.xz"
+SRC_URI+=" verify-sig? ( mirror://gnu/sed/${P}.tar.xz.sig )"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~x64-cygwin ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="acl nls selinux static"
+
+RDEPEND="
+	!static? (
+		acl? ( virtual/acl )
+		nls? ( virtual/libintl )
+		selinux? ( sys-libs/libselinux )
+	)
+"
+DEPEND="${RDEPEND}
+	static? (
+		acl? ( virtual/acl[static-libs(+)] )
+		nls? ( virtual/libintl[static-libs(+)] )
+		selinux? ( sys-libs/libselinux[static-libs(+)] )
+	)
+"
+BDEPEND="nls? ( sys-devel/gettext )
+	verify-sig? ( sec-keys/openpgp-keys-sed )"
+
+src_configure() {
+	use static && append-ldflags -static
+
+	local myconf=(
+		--exec-prefix="${EPREFIX}"
+		$(use_enable acl)
+		$(use_enable nls)
+		$(use_with selinux)
+		# rename to gsed for better BSD compatibility
+		--program-prefix=g
+	)
+	econf "${myconf[@]}"
+}
+
+src_test() {
+	# We don't want to automagically use Valgrind for tests.
+	sed -i -e 's:valgrind --error-exitcode=1:false:' init.cfg || die
+
+	emake VERBOSE=yes check
+}
+
+src_install() {
+	default
+	# don't want charset.alias, installed by libiconv
+	rm -f "${ED}"/lib/charset.alias
+
+	# symlink to the standard name
+	dosym gsed /bin/sed
+	dosym gsed.1 /usr/share/man/man1/sed.1
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2023-05-24  7:48 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-12-07 23:04 [gentoo-commits] repo/proj/prefix:master commit in: sys-apps/sed/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2023-05-24  7:48 Fabian Groffen
2021-01-24 12:18 Fabian Groffen
2020-12-27 11:07 Fabian Groffen
2018-11-20  9:17 Fabian Groffen
2018-08-19  8:14 Fabian Groffen

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox